<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [FileRequirement](./bitburner.filerequirement.md)

## FileRequirement interface

Player must have a specific Literature or Message file on their home computer.

**Signature:**

```typescript
interface FileRequirement 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [file](./bitburner.filerequirement.file.md) |  | string |  |
|  [type](./bitburner.filerequirement.type.md) |  | "file" |  |

